## org.biojava.bio.program.gff
Class GFFRecordFilter.SequenceFilter

    java.lang.Object
      |
      +--org.biojava.bio.program.gff.GFFRecordFilter.SequenceFilter

Enclosing class:
  GFFRecordFilter

public static class GFFRecordFilter.SequenceFilter
extends java.lang.Object
implements GFFRecordFilter

Implementation of GFFRecordFilter that accepts records based upon the sequence name.

Author:
  Matthew Pocock

Inner classes inherited from class org.biojava.bio.program.gff.GFFRecordFilter
`GFFRecordFilter.AcceptAll, GFFRecordFilter.FeatureFilter, GFFRecordFilter.SequenceFilter, GFFRecordFilter.SourceFilter`

Fields inherited from interface org.biojava.bio.program.gff.GFFRecordFilter
`ACCEPT_ALL`

Constructor Summary
`GFFRecordFilter.SequenceFilter()`

Method Summary
`boolean` `accept(GFFRecord record)` Return wether or not to accept record.
`java.lang.String` `getSeqName()` Retrieve the current sequence name.
`void` `setSeqName(java.lang.String seqName)` Set the sequence name to seqName.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GFFRecordFilter.SequenceFilter

    public GFFRecordFilter.SequenceFilter()

Method Detail

### getSeqName

    public java.lang.String getSeqName()

  Retrieve the current sequence name.
  Returns:
    the sequence name String

### setSeqName

    public void setSeqName(java.lang.String seqName)

  Set the sequence name to seqName.
  Parameters:
    `seqName` - the new sequence name to match

### accept

    public boolean accept(GFFRecord record)

  Description copied from interface: GFFRecordFilter
  Return wether or not to accept record.
  Specified by:
    accept in interface GFFRecordFilter
  Returns:
    record. getSeqName`()` `==` this.getSeqName`()`